Rippler docs
HTTP APIReference

Monitors

Create and read the monitors in your team.

GET
/v1/monitors/

Authorization

apiToken
AuthorizationBearer <token>

Your personal API token, found under Account → API in the app. It carries your team membership, so revoking your access revokes the token with it.

In: header

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/monitors/"
{  "success": true,  "data": {    "monitors": [      {        "shortID": "7gM7Qy7",        "name": "Nightly backup",        "status": "down",        "projectShortID": "string",        "pingURL": "string",        "schedule": {          "type": "simple",          "interval": 0,          "cron": "0 3 * * *",          "timezone": "UTC",          "graceDuration": 0,          "summary": "At 03:00 AM"        },        "alertAfterFailures": 1,        "lastPingAt": "string",        "createdAt": "string"      }    ]  }}
POST
/v1/monitors/

Authorization

apiToken
AuthorizationBearer <token>

Your personal API token, found under Account → API in the app. It carries your team membership, so revoking your access revokes the token with it.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/monitors/" \  -H "Content-Type: application/json" \  -d '{    "name": "Nightly backup"  }'
{  "success": true,  "data": {    "monitor": {      "shortID": "7gM7Qy7",      "name": "Nightly backup",      "status": "down",      "projectShortID": "string",      "pingURL": "string",      "schedule": {        "type": "simple",        "interval": 0,        "cron": "0 3 * * *",        "timezone": "UTC",        "graceDuration": 0,        "summary": "At 03:00 AM"      },      "alertAfterFailures": 1,      "lastPingAt": "string",      "createdAt": "string"    }  }}